Name: mandrivamenu
Version: 0.3
Release: %mkrel 4
Summary: Alternative menu for KDE
Group: Development/X11
Source: %{name}-%{version}.tar.bz2
# A KBFX theme
Source1: kbfx-light_grey.tar.gz  
Source2: mandrivamenurc
License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: X11-devel >= 1.0.0
BuildRequires: kdelibs-devel
BuildRequires: qt3-devel

%description
Alternative menu for KDE. It has theme support and accepts KBFX themes

%prep
%setup -q -n %{name}-%{version} -a1
make -f Makefile.cvs

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

# parallel building is not working for now
make

%install
rm -rf %{buildroot}
%makeinstall_std

# install the kbfx theme
mkdir -p %{buildroot}%{_datadir}/apps/mandrivamenu/themes
cp -a light_grey %{buildroot}%{_datadir}/apps/mandrivamenu/themes/
mkdir -p %{buildroot}%{_datadir}/config
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/config/

# Remove unwanted files
rm -f %{buildroot}%{_libdir}/*.so
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so*
%{_libdir}/*.la
%{_datadir}/apps/kicker/applets/mandrivamenu.desktop
%{_datadir}/apps/mandrivamenu/*
%{_datadir}/config/mandrivamenurc
%{_datadir}/doc/HTML/en/mandrivamenu/*
%{_datadir}/icons/hicolor/*/apps/mandrivamenu.png


%changelog
* Tue Sep 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-09-05 19:54:27 (60135)
- Fixed BuildRequires. Thanks Thierry for pointing that.

* Tue Aug 22 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-08-22 19:35:19 (57520)
- Properly install the default config file

* Tue Aug 22 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-08-22 15:22:18 (57484)
- remove the .so files. This prevents the autodep on devel packages

* Mon Aug 21 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-08-21 23:43:41 (57067)
- no parallel building for now

* Mon Aug 21 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-08-21 23:07:23 (57062)
- importing package mandrivamenu
